package cordon.bleu.comment;


import cordon.bleu.tour.Tour;
import cordon.bleu.user.User;
import lombok.Getter;
import lombok.Setter;
import org.hibernate.annotations.CreationTimestamp;

import javax.persistence.*;
import java.util.Date;

@Entity
@Getter
@Setter
@Table(name="comment")
public class Comment {

    @Id
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    private int id;

    @Column(length=2000)
    private String comment;

    @CreationTimestamp
    @Column(name = "created_date")
    private Date createdDate;

    @ManyToOne
    @JoinColumn(name="tour_id")
    Tour tour;

    @ManyToOne
    @JoinColumn(name="user_id")
    User user;

}


