package cordon.bleu.user;

import cordon.bleu.tour.Tour;
import lombok.Getter;
import lombok.Setter;

import javax.persistence.*;
import javax.validation.constraints.NotNull;

@Entity
@Getter
@Setter
@Table(name = "user_role")
public class UserRole {
    public enum Role {
        USER,ADMIN;

    }

    @Id
    private int id;

    @NotNull(message = "value mismatch")
    @Enumerated(EnumType.STRING)
    private Role role = Role.USER;

    @OneToOne(cascade = CascadeType.ALL)
    @MapsId
    @JoinColumn(name = "id")
    User user;

}
