package cordon.bleu.user;

import org.springframework.security.access.prepost.PreAuthorize;

import java.util.List;


@PreAuthorize("hasRole('ADMIN')")
public interface UserService {

    class PasswordException extends Exception {
        public PasswordException(String message) {
            super(message);
        }
    }

    public List<User> getAll();

    public User getById(int id);

    public void saveOrUpdate(User user) throws PasswordException;

    public void delete(int id);

    public User getNewUser();

}
