package cordon.bleu.user;


import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.security.crypto.factory.PasswordEncoderFactories;
import org.springframework.stereotype.Service;

import java.util.List;

@Service
public class UserServiceImpl implements UserService {

    private UserRepository userRepository;

    @Autowired
    public void setUserRepository(UserRepository userRepository)
    {
        this.userRepository = userRepository;
    }

    @Override
    public List<User> getAll() {
        return userRepository.findAll();
    }

    @Override
    public User getById(int id) {
        return userRepository.getUserById(id);
    }

    @Override
    public void saveOrUpdate(User user) throws PasswordException {
        if (user.getPassWord() != null && user.getPassWord().length() <5 ) {
            throw new PasswordException("password malformed");
        }
        if (user.getId() == 0 && user.getPassWord() == null ) {
            throw new PasswordException("password malformed");
        }
        if (user.getId() > 0 && user.getPassWord() == null) {
            user.setPassWord(userRepository.findById(user.getId()).get().getPassWord());
        } else {
            user.setPassWord((PasswordEncoderFactories.createDelegatingPasswordEncoder().encode(user.getPassWord())));
        }

        userRepository.save(user);
    }

    @Override
    public void delete(int id) {
        userRepository.deleteById(id);
    }

    @Override
    public User getNewUser() {
        return new User();
    }


}
